package com.prodhack.moscow2025.domain.usecase.auth

import com.prodhack.moscow2025.domain.interfaces.FCMRepository
import org.koin.core.annotation.Single

@Single
class SendFCMTokenUseCase(private val fcmRepository: FCMRepository) {
	suspend operator fun invoke(token: String) = fcmRepository.sendFCMToken(token = token)
}